GET /readyz

Service: cash · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Service ready

{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "ok"
      ]
    },
    "database": {
      "type": "string",
      "enum": [
        "ok"
      ]
    }
  },
  "required": [
    "status",
    "database"
  ]
}

503 Service not ready

{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "error"
      ]
    },
    "database": {
      "type": "string",
      "enum": [
        "error"
      ]
    }
  },
  "required": [
    "status",
    "database"
  ]
}

Example

curl -X GET https://cash.platform.loop.health/readyz \
  -H "Authorization: Bearer $ACCESS_TOKEN"